# BcashRubyExplorer
Ruby wrapper for the popular [Bcash] blockchain query API service on [Bitcoin.com].

## INSTALLATION

Add this line to your application's Gemfile:

```ruby
gem 'bcash_ruby_explorer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install bcash_ruby_explorer

## USAGE
Here's how to perform queries by block, address and transactions.

```ruby
explorer = BcashRubyExplorer::Api.new

# Get all transactions from a given block
explorer.block_full_txs '0000000000000000018304ba60766e8c27ec25d9e1d8708f7c8a0d115b3d9f4e'

# Get all transactions involving a given address (account)
explorer.address_full_txs '1Dice7v1M3me7dJGtTX6cqPggwGoRADVQJ'

# Get information about a specific transaction

explorer.tx_info 'f78acafdc2b35adee3e7f74bf145156696257612622eed5907a32398952e09be'
```

## DEVELOPMENT

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org].

### CODE QUALITY

I prefer good code whenever possible, just like you. The [rubocop] tool is used in this project to ensure the code is well written:

```shell
$ rubocop lib/
```

### CONTRIBUTING

Bug reports and pull requests are welcome on GitHub at https://github.com/rodrigoalvesvieira/bcash_ruby_explorer.

## AUTHORS

* Rodrigo Alves Vieira <rodrigo@bitja.com.br>

This project is based on BlockCypher's [ruby client].

## LICENSE

The gem is available as open source under the terms of the [MIT License].

[Bcash]: https://z.cash
[Bitcoin.com]: https://bitcoin.com
[BitJá]: https://www.bitja.com.br/
[rubygems.org]: https://rubygems.org
[rubocop]: https://github.com/rubocop-hq/rubocop
[ruby client]: https://github.com/blockcypher/ruby-client
[MIT License]: https://opensource.org/licenses/MIT
